Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

archived
boolean
default:false

Whether to include archived domains in the response. Defaults to false if not provided.

The search term to filter the domains by.

page
number
default:1

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:50

The number of items per page.

Required range: 0 < x <= 50
Example:

50

Response

The domains were retrieved.

id
string
required

The unique identifier of the domain.

slug
string
required

The domain name.

Example:

"acme.com"

verified
boolean
default:false
required

Whether the domain is verified.

primary
boolean
default:false
required

Whether the domain is the primary domain for the project.

archived
boolean
default:false
required

Whether the domain is archived.

target
string | null
required

The target URL to redirect to when accessing the domain root.

Example:

"https://acme.com"

type
enum<string>
default:redirect
required

The behavior type for the domain root redirect.

Available options:
redirect,
rewrite
placeholder
string
default:https://codeqr.io/help/article/what-is-codeqr
required

Provide context to your teammates in the link creation modal by showing them an example of a link to be shortened.

Example:

"https://codeqr.io/help/article/what-is-codeqr"

expiredUrl
string | null
required

The URL to redirect to when a link under this domain has expired.

Example:

"https://acme.com/expired"

createdAt
string
required

The date the domain was created.

updatedAt
string
required

The date the domain was last updated.